#ifndef __VENDOR_C4_VENDOR_H__
#define __VENDOR_C4_VENDOR_H__
#include "vendor_base.h"
#include <event.h>

class Vendor : public vendor::VendorBase {
public:
    Vendor();
    virtual ~Vendor();
    virtual int ParseCmdline(const std::string &optname, const std::string &optarg);
    virtual vendor::MyOpt *GetOpts();
    virtual int GetOptSize();
    virtual int Run();

private:
    struct event_base *eventBase_;
};

#endif // __VENDOR_C4_VENDOR_H__